%define majver %(echo %version | cut -d. -f1-2)
Name:          vtk-x86
Version:       9.3.0
Release:       2mamba
Summary:       Software for manipulating and displaying scientific data (legacy for x86 with minimal requirements)
Group:         Applications/Scientific
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://vtk.org/
Source:        https://www.vtk.org/files/release/%{majver}/VTK-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrender-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
ExclusiveArch: %{ix86}
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      vtk
Obsoletes:     vtk < 9.3.0-2mamba

%description
The Visualization Toolkit (VTK) is open source software for manipulating and displaying scientific data. It comes with state-of-the-art tools for 3D rendering, a suite of widgets for 3D interaction, and extensive 2D plotting capability.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Software for manipulating and displaying scientific data
Provides:      libvtk
Obsoletes:     libvtk < 9.3.0-2mamba

%description -n lib%{name}
The Visualization Toolkit (VTK) is open source software for manipulating and displaying scientific data. It comes with state-of-the-art tools for 3D rendering, a suite of widgets for 3D interaction, and extensive 2D plotting capability.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libvtk-devel
Obsoletes:     libvtk-devel < 9.3.0-2mamba

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n VTK-%{version}
#-D -T

%build
#:<< _EOF
%cmake \
   -DCMAKE_INSTALL_LIBDIR=%{_lib} \
   -DINCLUDE_INSTALL_DIR=include \
   -DCMAKE_C_FLAGS="%{optflags} -fcommon" \
   -DVTK_VERSIONED_INSTALL=OFF

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%{_bindir}/vtk*
%dir %{_datadir}/licenses/VTK
%{_datadir}/licenses/VTK/*
%dir %{_datadir}/vtk
%dir %{_datadir}/vtk/proj
%{_datadir}/vtk/proj/*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libvtk*.so.*
%dir %{_libdir}/vtk
%dir %{_libdir}/vtk/hierarchy
%dir %{_libdir}/vtk/hierarchy/VTK
%{_libdir}/vtk/hierarchy/VTK/*
%doc Copyright.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/vtk
%{_includedir}/vtk/*
%{_libdir}/libvtk*.so
%dir %{_libdir}/cmake/vtk
%{_libdir}/cmake/vtk/*.cmake
%{_libdir}/cmake/vtk/*.in
%dir %{_libdir}/cmake/vtk/patches
%{_libdir}/cmake/vtk/patches/*
%doc README.md

%changelog
* Sun Jun 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 9.3.0-2mamba
- legacy minimal deps build for x86

* Sat Nov 25 2023 Automatic Build System <autodist@mambasoft.it> 9.3.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 9.1.0-2mamba
- rebuilt with  -DVTK_VERSIONED_INSTALL=OFF

* Wed Jun 01 2022 Automatic Build System <autodist@mambasoft.it> 9.1.0-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 8.2.0-1mamba
- package created using the webbuild interface
